(* Test_segfault *)
(* Copyright 2005-2007 Berke DURAK, INRIA Rocquencourt and The EDOS Project. *)
(* Released under the GNU LGPL version 2. *)

open Conduit
open Rapids
open Query
open Interpreter

let _ =
  let db = create_database () in
  let cx = default_cli_context () in
  let cd = stdoutcd in
  let it = create_interpreter db cx cd in
  let q1 = Statement(Directive("merge", [Constant(String "deb:all")])) in
  let q2 = Expression(Binary(Check,Nonary Packages,Nonary Packages)) in
  execute_query it q1;
  execute_query it q2
;;
